=== debian/changelog ===
uwsgi (2.0.28-9deepin1) unstable; urgency=medium

  * remove shellcheck, nocheck

 -- Tianyu Chen <sweetyfish@deepin.org>  Wed, 09 Apr 2025 16:59:15 +0800

uwsgi (2.0.28-9) unstable; urgency=medium

  [ Alexandre Rossi ]
  * link with -z noexestack
    closes: bug#1096104

  [ Jonas Smedegaard ]
  * update DEP-3 patch headers
  * declare compliance with Debian Policy 4.7.2

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 02 Mar 2025 20:27:35 +0100

uwsgi (2.0.28-8) unstable; urgency=medium

  * avoid installing examples in indep-only build

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 02 Feb 2025 14:22:14 +0100

uwsgi (2.0.28-7) unstable; urgency=medium

  * build-depend (not -indep) on shellcheck

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 02 Feb 2025 12:38:04 +0100

uwsgi (2.0.28-6) unstable; urgency=medium

  [ Jonas Smedegaard ]
  * simplify packaging;
    use debhelper compatibility level 13 (not 10);
    build-depend on debhelper-compat (not cdbs dh-buildinfo);
    closes: bug#1076420
  * support DEB_BUILD_OPTIONS=nodoc

  [ Alexandre Rossi ]
  * add patch i1004 to make rack plugin compatible with rack3;
    closes: #1094637

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 02 Feb 2025 02:24:37 +0100

uwsgi (2.0.28-5) unstable; urgency=medium

  * revert packaging simplification;
    build-depend on cdbs (not dh-compat);
    reopens: bug#1076420

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 29 Jan 2025 03:27:54 +0100

uwsgi (2.0.28-4) unstable; urgency=medium

  * fix arch/indep build targets

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 29 Jan 2025 02:12:55 +0100

uwsgi (2.0.28-3) unstable; urgency=medium

  [ Alexandre Rossi ]
  * add patch to fix pypy tests when run from another dir
  * simplify packaging;
    build-depend on dh-compat (not cdbs);
    closes: bug#1076420

  [ Jonas Smedegaard ]
  * stop provide metapackages
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 28 Jan 2025 18:34:36 +0100

uwsgi (2.0.28-2) unstable; urgency=medium

  [ Alexandre Rossi ]
  * stop build-depend on dh-buildinfo;
    closes: bug#1088393
  * add 1007_fix_php_pypy_tests.patch
  * stop build or provide plugins now built externally:
    gccgo glusterfs java lua psgi python rados ruby;
    closes: bug#868752, #1069875, #1092756, #1093818
  * stop build useless binary uwsgi-core-local

  [ Jonas Smedegaard ]
  * simplify long description slightly,
    to mention less details for separately built packages
  * update copyright info:
    + use field Reference
    + update coverage
  * have binary package uwsgi-app-integration-plugins depend on
    new separately built uwsgi-plugin-pypy3
  * drop done or externalized TODOs

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 25 Jan 2025 20:27:36 +0100

uwsgi (2.0.28-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Alexandre Rossi ]
  * remove obsolete README.source
  * drop patch 1004, applied upstream
  * add patch 2002 to ensure stable py plugins name for users
  * tidy rules file related to obsolete apache2 debhelper snippets
  * autopkgtest python3, cgi, psgi and rack plugins

  [ Jonas Smedegaard ]
  * unfuzz and reorder patches

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 26 Oct 2024 22:50:18 +0200

uwsgi (2.0.26-4) unstable; urgency=medium

  [ Alexandre Rossi ]
  * drop libapache2-mod-{uwsgi,ruwsgi} considered deprecated
  * fix dh_clean confusion between manpages and binary pkg dirs
  * drop mono plugin, mono runtime in bad shape in Debian;
    closes: #1079881
  * add patch porting pypy plugin to pypy3
  * add upstream integration tests to uwsgi-src

  [ Jonas Smedegaard ]
  * update DEP-3 patch headers

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 17 Sep 2024 11:51:00 +0200

uwsgi (2.0.26-3) unstable; urgency=medium

  [ Alexandre Rossi & Jonas Smedegaard ]
  * simplify packaging
  
  [ Jonas Smedegaard ]
  * reintroduce perl module coroae
    (bug#787500 was solved without dropping coro from Debian)
  * stop build Apache2 module mod-proxy,
    not installed since 2.0.15-11
  * fix register Apache2 modules
  * fix avoid cleaning apache2 hint files,
    no longer generated during build

  [ Alexandre Rossi ]
  * install apache2 module sources and uwsgidecorators.py
    with binary package uwsgi-src

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 20 Aug 2024 12:40:25 +0200
