## uwsgi 2.0.29

=== debian/changelog ===
uwsgi (2.0.29-1build1) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 May 2025 10:06:04 +0200

uwsgi (2.0.29-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Alexandre Rossi ]
  * add patch to handle backlog of UNIX socket too
  * add patch to fix build with gcc-15 (Closes: #1098052)
  * remove patches which have been integrated upstream
  * add patch to use python3

  [ Jonas Smedegaard ]
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 26 Apr 2025 22:24:52 +0200
