=== debian/control ===
--- 
+++ 
@@ -30,6 +30,7 @@
  libyajl-dev,
  libyaml-dev,
  libzmq5-dev | libzmq3-dev [!hurd-any] | libzmq-dev [!kfreebsd-any !hurd-any],
+ shellcheck <!nocheck>,
  uuid-dev,
  zlib1g-dev,
 Standards-Version: 4.7.2
