## uwsgi 2.0.30

=== debian/changelog ===
uwsgi (2.0.30-1) unstable; urgency=medium

  [ upstream ]
  * release 2.0.30

  [ Jonas Smedegaard ]
  * remove myself as uploader

  [ Alexandre Rossi ]
  * add explicit build depend on libcrypt-dev (Closes: #1107044)
  * drop 1005_avoid_auto_ptr.patch (mongodb and gridfs plugins do not work)
  * silence some lintian issues that do not need fixing
  * fix some user visible typos
  * sort out patch headers and forward most
  * fix FTBS of pty and tuntap plugins (Closes: #1114429)

 -- Alexandre Rossi <niol@zincube.net>  Mon, 08 Sep 2025 10:38:26 +0200
