## uwsgi 2.0.31

=== Makefile ===
--- 
+++ 
@@ -22,3 +22,5 @@
 
 %:
 	$(PYTHON) uwsgiconfig.py --build $@
+
+.PHONY: all clean check tests
