=== t/core/readline/requirements.txt ===
requests
Werkzeug
