=== debian/changelog ===
uwsgi (2.0.31-1) unstable; urgency=medium

  * New upstream release 2.0.31
  * drop upstream'd patches

 -- Alexandre Rossi <niol@zincube.net>  Sun, 12 Oct 2025 19:00:49 +0200
