=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: uWSGI packaging team <pkg-uwsgi-devel@lists.alioth.debian.org>
 Uploaders:
- Jonas Smedegaard <dr@jones.dk>,
  Alexandre Rossi <niol@zincube.net>,
 Build-Depends:
  debhelper-compat (= 13),
@@ -12,6 +11,7 @@
  libacl1-dev,
  libcap-dev [linux-any],
  libcurl4-openssl-dev,
+ libcrypt-dev,
  libgeoip-dev,
  libgloox-dev,
  libjail-dev [kfreebsd-any],
