=== debian/rules ===
--- 
+++ 
@@ -89,6 +89,11 @@
 execute_after_dh_auto_build-arch: $(MANPAGES)
 
 override_dh_auto_test:
+	find debian \
+		-type f -not -empty -regextype egrep \
+		-regex '.*(postinst|prerm|rtupdate|init\.d).*' \
+		-exec shellcheck -e SC1090,SC1091,SC2034,SC2043 -s sh {} +
+	shellcheck -e SC1091,SC2001,SC2034,SC2162 -s bash debian/uwsgi-files/init/*
 
 override_dh_auto_clean:
 	$(UWSGI_BUILDER) --clean
