=== debian/tests/control ===
Tests: integration
Depends: uwsgi-core, python3-requests
Restrictions: allow-stderr
